Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
models
/
{modelId}
Get Model
curl --request GET \
  --url https://api.tensormesh.ai/v1/models/{modelId} \
  --header 'Authorization: Bearer <token>'
{
  "model": {
    "modelId": "<string>",
    "deploymentId": "<string>",
    "userId": "<string>",
    "description": "<string>",
    "modelPath": "<string>",
    "modelName": "<string>",
    "status": "MODEL_STATUS_UNSPECIFIED",
    "events": [
      {
        "createdAt": "2023-11-07T05:31:56Z",
        "log": "<string>",
        "eventType": "EVENT_TYPE_UNSPECIFIED"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "modelSpec": {},
    "infra": {
      "cloudProvider": "CLOUD_PROVIDER_UNSPECIFIED",
      "nebiusRegion": "NEBIUS_REGION_UNSPECIFIED",
      "lambdaRegion": "LAMBDA_REGION_UNSPECIFIED",
      "onpremRegion": "<string>"
    },
    "gpuCount": 123,
    "gpuType": "GPU_TYPE_UNSPECIFIED",
    "replicas": 123,
    "endpoint": "<string>",
    "apiKey": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Path Parameters

modelId
string
required

Model ID to retrieve. Must be provided.

Query Parameters

userId
string

User ID for authorization. Must be a valid UUID.

Response

A successful response.

GetModelResponse contains the requested model information.

model
object

Model represents a model instance created by user.